
<div class="title">卡组测试教程</div>

<details>
<summary>
前言
</summary>
有人想用残局，进行卡组测试。

鄙人在此提供些微帮助。

</details>

<details>
<summary>
开局添加手卡
</summary>

~~~
--~ 必须位于残局文件顶部
--~ 加载残局函数库
Debug.AddCard(0
  , 0
  , 0
  , LOCATION_MZONE
  , -1
  , POS_FACEUP)
~~~

这段加载代码应放于残局文件顶部，才可使用所有功能。

~~~
--~ 必须位于残局文件底部
fun["开局添加手卡"](6)
~~~

数字可改。

<b>注意：这项功能依赖于残局函数库。</b>

<b>具体来说，就是要安装「游戏王残局简化版」。</b>

</details>

<details>
<summary>
开启多回合
</summary>

~~~
aux.BeginPuzzle()
~~~

它注册了三个效果：

1. 跳过抽卡阶段
1. 跳过准备阶段
1. 结束阶段时，玩家血量归零

去掉这一代码，便可开启多回合。
</details>

<details>
<summary>
控制抽卡数量
</summary>

~~~
Debug.SetPlayerInfo(0,0,0,0)
~~~

最后一个参数控制每回合抽卡数量。
</details>



<details>
<summary>
伪洗牌
</summary>

~~~
Debug.ReloadFieldBegin(
  DUEL_ATTACK_FIRST_TURN
  + DUEL_SIMPLE_AI
  , 5)
~~~

添加特定参数即可。

~~~
Debug.ReloadFieldBegin(
  DUEL_ATTACK_FIRST_TURN
  + DUEL_SIMPLE_AI
  + DUEL_PSEUDO_SHUFFLE
  , 5)
~~~
</details>

<details>
<summary>
完全操控 AI
</summary>

~~~
Debug.ReloadFieldBegin(
  DUEL_ATTACK_FIRST_TURN
  + DUEL_SIMPLE_AI
  , 5)
~~~

去除特定参数即可。

~~~
Debug.ReloadFieldBegin(
  DUEL_ATTACK_FIRST_TURN
  , 5)
~~~
</details>
